Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.model
Class RoutingCase

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.msk.model.RoutingCase

    public class RoutingCase

extends Object

Represents a routing case part of a routing stage, for the `OverflowAndPriorityRouter`. A case is defined by a condition, represented by an instance of `Condition`, and vectors of ranks for agent selection, and queue priorities. An instance with condition set to `null` is also possible to represent the default case.

Constructor Summary
`RoutingCase(CallCenter cc, int k, DefaultCaseParams par)` Similar to constructor `RoutingCase(CallCenter,int,RoutingCaseParams)`, for the default case with no condition.
`RoutingCase(CallCenter cc, int k, RoutingCaseParams par)` Constructs a new routing case using the call center model `cc`, and parameters `par`.
`RoutingCase(Condition cond, double[] aRanks, double[] qRanks)` Creates a new routing case with condition `cond`, and vectors of ranks `aRanks` and `qRanks` for agent selection and queue priority.

Method Summary
`double[]` | `getAgentGroupRanks()` Returns the vector of ranks for agent selection, for this routing case.
`RankFunction` | `getAgentGroupRanksFunction()`
`Condition` | `getCondition()` Returns the condition associated with this case, or `null` for the default case.
`double[]` | `getQueueRanks()` Returns the vector of ranks for queue priority, for this routing case.
`RankFunction` | `getQueueRanksFunction()`
`boolean` | `isAgentGroupRanksRelative()` Determines if the vector of ranks for agent groups is relative for this routing case.
`boolean` | `isQueueRanksRelative()` Same as `isAgentGroupRanksRelative()`, for the vector of ranks of waiting queues.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RoutingCase

    public RoutingCase(CallCenter cc,
                       int k,
                       RoutingCaseParams par)

  Constructs a new routing case using the call center model `cc`, and parameters `par`. The vectors of ranks are extracted directly from `par` while the condition is parsed with the help of `ConditionUtil.createCondition(CallCenter,int,ConditionParams)`.

  Parameters:
    `cc` - the call center model.
    `k` - the call type for which the routing case concerns.
    `par` - the case parameters.

### RoutingCase

    public RoutingCase(CallCenter cc,
                       int k,
                       DefaultCaseParams par)

  Similar to constructor `RoutingCase(CallCenter,int,RoutingCaseParams)`, for the default case with no condition.

### RoutingCase

    public RoutingCase(Condition cond,
                       double[] aRanks,
                       double[] qRanks)

  Creates a new routing case with condition `cond`, and vectors of ranks `aRanks` and `qRanks` for agent selection and queue priority.

Method Detail

### getCondition

    public Condition getCondition()

  Returns the condition associated with this case, or `null` for the default case.

### getAgentGroupRanks

    public double[] getAgentGroupRanks()

  Returns the vector of ranks for agent selection, for this routing case.

### getQueueRanks

    public double[] getQueueRanks()

  Returns the vector of ranks for queue priority, for this routing case.

### isAgentGroupRanksRelative

    public boolean isAgentGroupRanksRelative()

  Determines if the vector of ranks for agent groups is relative for this routing case.

### isQueueRanksRelative

    public boolean isQueueRanksRelative()

  Same as `isAgentGroupRanksRelative()`, for the vector of ranks of waiting queues.

### getAgentGroupRanksFunction

    public RankFunction getAgentGroupRanksFunction()

### getQueueRanksFunction

    public RankFunction getQueueRanksFunction()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.